summaryrefslogtreecommitdiffstats
path: root/testing/get-coursier.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2021-09-06 04:23:44 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2021-09-06 04:23:44 +0000
commit8b9f67e46f462980dd0877e752954a07bfecdb32 (patch)
tree7455f28cae7a78fdec431903475978bbff39f984 /testing/get-coursier.sh
parentAdding upstream version 2.14.0. (diff)
downloadpre-commit-b0f922720c2060ea6bc9cbea527126ef3c213e45.tar.xz
pre-commit-b0f922720c2060ea6bc9cbea527126ef3c213e45.zip
Adding upstream version 2.15.0.upstream/2.15.0
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'testing/get-coursier.sh')
-rwxr-xr-xtesting/get-coursier.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testing/get-coursier.sh b/testing/get-coursier.sh
index 760c6c1..4c5e955 100755
--- a/testing/get-coursier.sh
+++ b/testing/get-coursier.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
# This is a script used in CI to install coursier
-set -euxo pipefail
+set -euo pipefail
COURSIER_URL="https://github.com/coursier/coursier/releases/download/v2.0.0/cs-x86_64-pc-linux"
COURSIER_HASH="e2e838b75bc71b16bcb77ce951ad65660c89bda7957c79a0628ec7146d35122f"
@@ -11,3 +11,5 @@ rm -f "$ARTIFACT"
curl --location --silent --output "$ARTIFACT" "$COURSIER_URL"
echo "$COURSIER_HASH $ARTIFACT" | sha256sum --check
chmod ugo+x /tmp/coursier/cs
+
+echo '##vso[task.prependpath]/tmp/coursier'